# Given probabilities
P_1_2_3 <- 1
P_1_2 <- 0.7
P_1_3 <- 0.5
P_2_3 <- 0.7
P_1 <- 0.2
P_2 <- 0.5
P_3 <- 0.3

# Check if P is a valid probability measure
valid <- (P_1_2_3 == 1) &&
  (P_1_2 <= P_1_2_3) &&
  (P_1_3 <= P_1_2_3) &&
  (P_2_3 <= P_1_2_3) &&
  (P_1 <= P_1_2) &&
  (P_2 <= P_1_2) &&
  (P_3 <= P_1_2_3)

# Display result
if (valid) {
  cat("P is a valid probability measure.\n")
} else {
  cat("P is not a valid probability measure.\n")
}
