# Given probabilities
P_1 <- 1/2
P_2 <- 1/3
P_3 <- 1/6

# (a) Calculate P({1, 2})
P_1_2 <- P_1 + P_2

# (b) Calculate P({1, 2, 3})
P_1_2_3 <- P_1 + P_2 + P_3

# Display results
cat("(a) P({1, 2}):", P_1_2, "\n")
cat("(b) P({1, 2, 3}):", P_1_2_3, "\n")

# (c) List all events A such that P(A) = 1/2
events <- c()
for (i in 1:3) {
  P_A <- ifelse(i == 1, P_1, ifelse(i == 2, P_2, P_3))
  if (P_A == 1/2) {
    events <- c(events, paste("{", i, "}"))
  }
}

cat("(c) Events A such that P(A) = 1/2:", events, "\n")
