# Given probabilities
P_s <- 1/8

# (a) Calculate P({1, 2})
P_1_2 <- P_s + P_s

# (b) Calculate P({1, 2, 3})
P_1_2_3 <- P_s + P_s + P_s

# Display results
cat("(a) P({1, 2}):", P_1_2, "\n")
cat("(b) P({1, 2, 3}):", P_1_2_3, "\n")

# (c) Count events A such that P(A) = 1/2
count_A_1_2 <- 0
count_A_1_2_3 <- 0

for (i in 1:8) {
  P_A <- P_s
  if (P_A == 1/2) {
    count_A_1_2 <- count_A_1_2 + 1
  }
  
  P_A <- P_s + P_s
  if (P_A == 1/2) {
    count_A_1_2 <- count_A_1_2 + 1
  }
  
  P_A <- P_s + P_s + P_s
  if (P_A == 1/2) {
    count_A_1_2_3 <- count_A_1_2_3 + 1
  }
}

cat("(c) Number of events A such that P(A) = 1/2:", count_A_1_2 + count_A_1_2_3, "\n")
